Create the Scribe account of the person the connector signed in
curl --request POST \
--url https://api.scribe-mail.com/v1/account \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accept_terms": true,
"time_zone": "<string>"
}
'import requests
url = "https://api.scribe-mail.com/v1/account"
payload = {
"accept_terms": True,
"time_zone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({accept_terms: true, time_zone: '<string>'})
};
fetch('https://api.scribe-mail.com/v1/account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.scribe-mail.com/v1/account",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'accept_terms' => true,
'time_zone' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.scribe-mail.com/v1/account"
payload := strings.NewReader("{\n \"accept_terms\": true,\n \"time_zone\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.scribe-mail.com/v1/account")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"accept_terms\": true,\n \"time_zone\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.scribe-mail.com/v1/account")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"accept_terms\": true,\n \"time_zone\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"workspace": {
"id": "<string>",
"name": "<string>"
},
"user": {
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>"
},
"trial_ends_at": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>"
},
"remediation": {
"action": "connect_integration",
"dashboard_url": "<string>",
"message": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>"
},
"remediation": {
"action": "connect_integration",
"dashboard_url": "<string>",
"message": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>"
},
"remediation": {
"action": "connect_integration",
"dashboard_url": "<string>",
"message": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>"
},
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"allowed": [
"<unknown>"
],
"missing": [
"<string>"
]
}
]
}Account
Create the Scribe account of the person the connector signed in
POST
/
v1
/
account
Create the Scribe account of the person the connector signed in
curl --request POST \
--url https://api.scribe-mail.com/v1/account \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accept_terms": true,
"time_zone": "<string>"
}
'import requests
url = "https://api.scribe-mail.com/v1/account"
payload = {
"accept_terms": True,
"time_zone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({accept_terms: true, time_zone: '<string>'})
};
fetch('https://api.scribe-mail.com/v1/account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.scribe-mail.com/v1/account",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'accept_terms' => true,
'time_zone' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.scribe-mail.com/v1/account"
payload := strings.NewReader("{\n \"accept_terms\": true,\n \"time_zone\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.scribe-mail.com/v1/account")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"accept_terms\": true,\n \"time_zone\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.scribe-mail.com/v1/account")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"accept_terms\": true,\n \"time_zone\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"workspace": {
"id": "<string>",
"name": "<string>"
},
"user": {
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>"
},
"trial_ends_at": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>"
},
"remediation": {
"action": "connect_integration",
"dashboard_url": "<string>",
"message": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>"
},
"remediation": {
"action": "connect_integration",
"dashboard_url": "<string>",
"message": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>"
},
"remediation": {
"action": "connect_integration",
"dashboard_url": "<string>",
"message": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>"
},
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"allowed": [
"<unknown>"
],
"missing": [
"<string>"
]
}
]
}Authorizations
Body
application/json
Was this page helpful?